[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.RunMode

Application mode

## Declaration

Source position: daemonapp.pp line 380

`public property TCustomDaemonApplication.RunMode : TDaemonRunMode read FRunMode;`

## Description

RunMode indicates in which mode the application is running currently. It is set automatically by examining the command-line, and when set, one of InstallDaemons, RunDaemons or UnInstallDaemons is called.

## See also

InstallDaemons |  | Install all daemons.
RunDaemons |  | Run all daemons.
UnInstallDaemons |  | Uninstall all daemons

Documentation generated on: Feb 26 2014